﻿using UnityEngine.Networking;

namespace Magify
{
    public static class ExtensionMethods
    {
        internal static WebResponseMessage ToWebRequestResponse(this UnityWebRequest unityWebRequest, WebRequestMessage requestMessage)
        {
            return new WebResponseMessage
            {
                Result = unityWebRequest.result,
                ResponseCode = unityWebRequest.responseCode,
                Text = unityWebRequest.downloadHandler.text,
                Error = unityWebRequest.downloadHandler.error,
                RequestMessage = requestMessage,
            };
        }
    }
}